Loading...
Searching...
No Matches
pappso::MsFileReader Class Referenceabstract

`#include <msfilereader.h>`

Inheritance diagram for pappso::MsFileReader:

## Public Member Functions

| MsFileReader (const QString &file_name)
virtual | ~MsFileReader ()
virtual MzFormat | getFileFormat ()=0
virtual std::vector< MsRunIdCstSPtr > | getMsRunIds (const QString &run_prefix)=0

## Protected Attributes

QString | m_fileName
MzFormat | m_fileFormat = MzFormat::unknown

## Detailed Description

Definition at line 13 of file msfilereader.h.

## Constructor & Destructor Documentation

## MsFileReader()

pappso::MsFileReader::MsFileReader | ( | const QString & | file_name | ) |

Definition at line 19 of file msfilereader.cpp.

: m_fileName{file_name}
{
QFile file(file_name);
if(!file.exists())
throw(ExceptionNotFound(QObject::tr("File %1 not found.")
.arg(QFileInfo(file_name).absoluteFilePath())));
}
pappso::MsFileReader::m_fileName
QString m_fileName
Definition msfilereader.h:16

## ~MsFileReader()

pappso::MsFileReader::~MsFileReader | ( |  | ) |

virtual

Definition at line 28 of file msfilereader.cpp.

{
}

## Member Function Documentation

## getFileFormat()

virtual MzFormat pappso::MsFileReader::getFileFormat | ( |  | ) |

pure virtual

Implemented in pappso::PwizMsFileReader, pappso::TimsMsFileReader, and pappso::XyMsFileReader.

## getMsRunIds()

virtual std::vector< MsRunIdCstSPtr > pappso::MsFileReader::getMsRunIds | ( | const QString & | run_prefix | ) |

pure virtual

Implemented in pappso::PwizMsFileReader, pappso::TimsMsFileReader, and pappso::XyMsFileReader.

## Member Data Documentation

## m_fileFormat

MzFormat pappso::MsFileReader::m_fileFormat = MzFormat::unknown

protected

Definition at line 17 of file msfilereader.h.

Referenced by pappso::PwizMsFileReader::getFileFormat(), pappso::TimsMsFileReader::getFileFormat(), pappso::XyMsFileReader::getFileFormat(), pappso::PwizMsFileReader::getMsRunIds(), pappso::TimsMsFileReader::getMsRunIds(), pappso::XyMsFileReader::getMsRunIds(), pappso::PwizMsFileReader::initialize(), pappso::TimsMsFileReader::initialize(), and pappso::XyMsFileReader::initialize().

## m_fileName

QString pappso::MsFileReader::m_fileName

protected

Definition at line 16 of file msfilereader.h.

Referenced by pappso::TimsMsFileReader::TimsMsFileReader(), pappso::PwizMsFileReader::getMsRunIds(), pappso::TimsMsFileReader::getMsRunIds(), pappso::XyMsFileReader::getMsRunIds(), pappso::PwizMsFileReader::initialize(), pappso::TimsMsFileReader::initialize(), and pappso::XyMsFileReader::initialize().

The documentation for this class was generated from the following files:

- pappsomspp/msfile/msfilereader.h
- pappsomspp/msfile/msfilereader.cpp